#!/bin/sh

DEV_ID0=$1
DEV_ID1=$2
DEV_ID2=$3
DEV_ID3=$4
DEV_ID4=$5

SEND_URL=$6

NAME0="IoT Smart Module"
NAME1="IoT Smart Module"
NAME2="IoT Smart Module"
NAME3="IoT Smart Module"
NAME4="IoT Smart Module"

LOG_FILE="/root/log_serial.txt"

if [ -e $LOG_FILE ] ; then
  LOG_TEMP=`cat $LOG_FILE | sed -e 's/\[/,\[/g' | sed -e 's/No./No.,/g' | sed -e 's/ //g' | sed -e 's/=+/=/g' | sed -e 's/=/,/g'`
#  echo $LOG_TEMP

  HEAD0=`echo $LOG_TEMP | cut -d ',' -f1`
#  echo $HEAD0

  if [ "$HEAD0" = "No." ] ; then
    NO0=`echo $LOG_TEMP | cut -d ',' -f2`
    ID0=`echo $LOG_TEMP | cut -d ',' -f4`

    if [ $ID0 = "$DEV_ID0" ] ; then
      NUM0=0
    elif [ $ID0 = "$DEV_ID1" ] ; then
      NUM0=1
    elif [ $ID0 = "$DEV_ID2" ] ; then
      NUM0=2
    elif [ $ID0 = "$DEV_ID3" ] ; then
      NUM0=3
    elif [ $ID0 = "$DEV_ID4" ] ; then
      NUM0=4
    else
      NUM0=5
    fi
  
    if [ $NUM0 -ne 5 ] ; then
      TEMP0=`echo $LOG_TEMP | cut -d ',' -f6`
      HUM0=`echo $LOG_TEMP | cut -d ',' -f9`
      PRESS0=`echo $LOG_TEMP | cut -d ',' -f12`
      AMB0=`echo $LOG_TEMP | cut -d ',' -f15`
      DOOR0=`echo $LOG_TEMP | cut -d ',' -f18`
      VBAT0=`echo $LOG_TEMP | cut -d ',' -f20`
      RSSI0=`echo $LOG_TEMP | cut -d ',' -f23`

      SENS0="num0=$NUM0&name0=$NAME0&no0=$NO0&id0=$ID0"
      DATE0="date0=`date +"%Y/%m/%d %H:%M:%S"`"
      DATA0="temp0=$TEMP0&hum0=$HUM0&press0=$PRESS0&amb0=$AMB0&door0=$DOOR0"
      INFO0="vbat0=$VBAT0&rssi0=$RSSI0"

      OBJ0="${SENS0}&${DATE0}&${DATA0}&${INFO0}"

      echo $OBJ0

      wget -O- -q --post-data="$OBJ0" $SEND_URL
      sleep 5
    fi
  fi
fi
